v3.0
put
/ec-ors-svc/rest/v3.0/studies/{studyId}/{mode}/supply/settings
Use latest version instead. Updates supply settings of a study by study ID.
Rights: SupplySettingRightsPost.
Required sponsor roles are: clinical supply manager and site manager.
Rights: SupplySettingRightsPost.
Required sponsor roles are: clinical supply manager and site manager.
Request
Path Parameters
-
mode(required): string
Mode of the study, accepts: test, active, or training.
-
studyId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.
Supported Media Types
- application/json
Root Schema : SupplySettingsTO v3.0
Type:
objectTitle:
SupplySettingsTO v3.0Supply settings.
Show Source
-
allowManualConsignments(required): boolean
Title:
Allow Manual ConsignmentsIndicates whether manual consignments are allowed.Example:true -
allowPartialDispensation(required): boolean
Indicate whether partial dispensation is allowed.Example:
true -
allowSingleKitQuarantine(required): boolean
Title:
Allow Single Kit QuarantineIndicates whether single kit quarantine is allowed.Example:true -
customShipmentIdPrefix: string
Title:
Shipment ID PrefixPrefix used while generating shipment IDs.Example:SomePrefix -
intlShipmentTriggerId(required): number
(double)
Initial shipment trigger Id.Example:
2 -
intlShipmentVisitId: string
(uuid)
Title:
Initial Shipment Visit IDIdentifier of the visit for initial shipments. -
kitReconciliationRequired(required): boolean
Title:
Site Kit Reconciliation RequiredIndicates whether kit reconciliation is required at the site.Example:true -
reuseOnlyLastVisitKkits(required): boolean
Indicate whether to reuse only last visit kits.Example:
true -
reuseSealedKits(required): boolean
Indicate whether to reuse sealed kits.Example:
true -
sendKitTypeForSingleKitOrder: string
(uuid)
Title:
Kit Type IDIdentifier of the selected kit type for single kit ordering. -
shipmentPrefixType(required): string
Title:
Shipment ID Prefix TypeAllowed Values:[ "DEPOTID", "CUSTOM", "NONE" ]Type identifier used when generating shipment ID prefixes.Example:DEPOTID -
singleKitSettingId: number
(double)
Title:
Single Kit Setting IDIdentifier of the single kit ordering setting.Example:1 -
useBlindingGroups(required): boolean
Title:
Blinded Groups RequiredIndicates whether blinding groups are required.Example:true -
useLabelGroups(required): boolean
Title:
Label Groups RequiredIndicates whether label groups are required.Example:true -
useShippingGroups(required): boolean
Title:
Multiple Storage RequirementsIndicates whether multiple storage/shipping requirement groups are used.Example:true -
useTemperatureExcursion(required): boolean
Title:
Allow Temperature ExcursionsIndicates whether temperature excursions are allowed.Example:true -
waitDaysBeforeNotifying: number
(double)
Title:
Notification To Receive Shipment (in days)Minimum Value:0Maximum Value:30Number of days before a notification is sent to receive a shipment.Example:2
Response
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : IDResponse v1.0
Type:
objectTitle:
IDResponse v1.0Response containing the identifier.
Show Source
400 Response
Invalid shipment OR Invalid Kit status OR One or more shipment are not in valid status OR Custom shipment prefix should be of length between 1 to 10 and contains only alphanumerics OR Invalid shipment prefix type.
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object404 Response
Not found
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object